package com.seatel.mobilehall.ui.home.interactor

import com.android.volley.VolleyError
import org.json.JSONObject

interface BadgesCountInteractor {
    interface View {
        fun responseCountSucceed(data: JSONObject)
        fun responseCountFail(error: VolleyError)
    }

    interface Presenter {
        fun onGetBadgesCount(phoneNumber: String)
    }

}